# MarketWatch financials scraper

Scrapes any company's financials from [MarketWatch.com](https://www.marketwatch.com/), which includes income statement, balance sheet, and cash flow statement.

Asynchronous HTTP requests are currently used by default.

### Dependencies

- [Python](https://www.python.org/) 3.8+

Should run on most Linux/Windows systems. Tested on Arch.

### Building

Clone this repo, install `build` via pip, then run `pip -m build` 
from the repository's root directory. This should produce a `dist/` 
subdirectory with a wheel (build) and archive (source) distribution.
The resulting `whl`-file can be installed via `pip install path/dist/***.whl`.

### Running

...
